Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/configs
diff options
context:
space:
mode:
authorAaron Griffin <aaronmgriffin@gmail.com>2009-01-19 23:26:48 -0800
committerAaron Griffin <aaronmgriffin@gmail.com>2009-01-19 23:26:48 -0800
commit37cb2e01ac5110c1340ce8e70de08f305dd26852 (patch)
treebc4e6599507ad23cd2172c412305516783f0c167 /configs
parent0a2829f47d5dc924afd011b38b3b809a04028e5f (diff)
parentc2b2a30b81c7be718e6c2de8114f3b648ee875e9 (diff)
Merge branch 'master' of ssh://archlinux.org/srv/projects/git/archiso
Diffstat (limited to 'configs')
-rw-r--r--configs/install-iso/Makefile6
-rw-r--r--configs/install-iso/boot-files/isolinux/boot.msg2
-rw-r--r--configs/install-iso/boot-files/isolinux/help.msg2
-rw-r--r--configs/install-iso/boot-files/isolinux/options.msg2
-rwxr-xr-xconfigs/install-iso/download-repo.sh49
-rw-r--r--configs/install-iso/packages.list1
6 files changed, 56 insertions, 6 deletions
diff --git a/configs/install-iso/Makefile b/configs/install-iso/Makefile
index 7f98605..4d867cb 100644
--- a/configs/install-iso/Makefile
+++ b/configs/install-iso/Makefile
@@ -1,5 +1,5 @@
-ver=2008.12
-kver=2.6.27-ARCH
+ver=2009.01
+kver=2.6.28-ARCH
WORKDIR=work
@@ -47,7 +47,7 @@ base-iso: root-image
core-pkgs: base-iso
mkdir $(WORKDIR)/core-pkgs/
- wget --mirror -P $(WORKDIR)/core-pkgs -nH --cut-dirs=3 ftp://ftp.archlinux.org/core/os/$(ARCH)
+ ./download-repo.sh core "$(WORKDIR)/core-pkgs"
# Bootloaders
grub-gfx:
diff --git a/configs/install-iso/boot-files/isolinux/boot.msg b/configs/install-iso/boot-files/isolinux/boot.msg
index 15091a9..551956a 100644
--- a/configs/install-iso/boot-files/isolinux/boot.msg
+++ b/configs/install-iso/boot-files/isolinux/boot.msg
@@ -1,6 +1,6 @@
splash.rle
-Arch Linux Install and LiveCD (0e2009.0107)
+ArchLinux Install and LiveCD (0e2009.0107)
0eF207 -> more boot options 0eF307 -> Troubleshooting, Help
diff --git a/configs/install-iso/boot-files/isolinux/help.msg b/configs/install-iso/boot-files/isolinux/help.msg
index b60163a..d2e749c 100644
--- a/configs/install-iso/boot-files/isolinux/help.msg
+++ b/configs/install-iso/boot-files/isolinux/help.msg
@@ -9,7 +9,7 @@ Usefull kernelparameters in case of trouble:
0eacpi=off07
0enoapic07
0epci=routeirq07
-Append these to the available flavours, ex. arch noapic
+Append these to the available flavors, ex. arch noapic
0eF107 -> Start screen, 0eF207 -> Boot options
diff --git a/configs/install-iso/boot-files/isolinux/options.msg b/configs/install-iso/boot-files/isolinux/options.msg
index 9c7704d..86a6af4 100644
--- a/configs/install-iso/boot-files/isolinux/options.msg
+++ b/configs/install-iso/boot-files/isolinux/options.msg
@@ -1,7 +1,7 @@
splashsmall.rle
0e2009.0107
-Boot flavours on this ISO:
+Boot flavors on this ISO:
----------------------------------
0earch07 : ArchLinux LiveCD [pata] (the Default)
0earchide07 : ArchLinux LiveCD [legacy IDE mode]
diff --git a/configs/install-iso/download-repo.sh b/configs/install-iso/download-repo.sh
new file mode 100755
index 0000000..35029fe
--- /dev/null
+++ b/configs/install-iso/download-repo.sh
@@ -0,0 +1,49 @@
+#!/bin/sh
+# This script downloads a entire pacman repo to a dir
+# using the locally configured best mirror.
+#
+# Copyright (c) 2009 Aaron Griffin <aaronmgriffin@gmail.com>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+REPO="$1"
+DEST="$2"
+
+if [ -z "$REPO" -o -z "$DEST" ]; then
+ echo "usage: $(basename $0) <reponame> <dest-dir>"
+ exit 1
+fi
+
+if [ $EUID -ne 0 ]; then
+ echo "This script must be run as root (for pacman -Sp)"
+ exit 1
+fi
+
+[ -d "$DEST" ] || mkdir -p "$DEST"
+
+#Ensure we have core/pkgname format, so we don't get crap from other repos
+PKGS=$(/usr/bin/pacman -Sl $REPO | cut -d' ' -f1,2 | tr ' ' '/')
+
+if [ -n "$PKGS" ]; then
+ baseurl=""
+ for url in $(/usr/bin/pacman -Sp $PKGS | grep '://'); do
+ baseurl="$(dirname "$url")" #save for later
+ pkgname="$(basename "$url")"
+ wget -nv "$url" -O "$DEST/$pkgname"
+ done
+ wget -nv "$baseurl/$REPO.db.tar.gz" -O "$DEST/$REPO.db.tar.gz"
+else
+ echo "No packages to download... what'd you break?"
+ exit 1
+fi
diff --git a/configs/install-iso/packages.list b/configs/install-iso/packages.list
index 41d2219..f85f973 100644
--- a/configs/install-iso/packages.list
+++ b/configs/install-iso/packages.list
@@ -1,4 +1,5 @@
archlinux-installer
+aif
base
dnsutils
dosfstools